Package pyplusplus :: Package module_creator :: Module types_database :: Class types_database_t

# type types_database_t

source code

    object --+
             |
            types_database_t

Instance Methods

__init__(self) | source code

update(self, decl) | source code

create_holder(self, class_decl) | source code

create_registrators(self, class_creator) Look for places where the class may be used as smart_ptr. | source code

print_db(self) | source code

Properties
| used_containers

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### create_registrators(self, class_creator)

source code

Look for places where the class may be used as smart_ptr.

- If found then create smart_pointer_registrator_t for that class and ptr type.

Property Details

### used_containers

Get Method:
  _get_used_containers(self)